<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Origin StructType
 * Meta informations extracted from the WSDL
 * - documentation: Origin of the VEHICLE JOURNEY.
 * - minOccurs: 0
 * @subpackage Structs
 */
class Origin extends AbstractStructBase
{
    /**
     * The OriginRef
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - ref: OriginRef
     * @var \StructType\JourneyPlaceRefStructure
     */
    public $OriginRef;
    /**
     * The OriginName
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - ref: OriginName
     * @var \StructType\NaturalLanguagePlaceNameStructure
     */
    public $OriginName;
    /**
     * Constructor method for Origin
     * @uses Origin::setOriginRef()
     * @uses Origin::setOriginName()
     * @param \StructType\JourneyPlaceRefStructure $originRef
     * @param \StructType\NaturalLanguagePlaceNameStructure $originName
     */
    public function __construct(\StructType\JourneyPlaceRefStructure $originRef = null, \StructType\NaturalLanguagePlaceNameStructure $originName = null)
    {
        $this
            ->setOriginRef($originRef)
            ->setOriginName($originName);
    }
    /**
     * Get OriginRef value
     * @return \StructType\JourneyPlaceRefStructure|null
     */
    public function getOriginRef()
    {
        return $this->OriginRef;
    }
    /**
     * Set OriginRef value
     * @param \StructType\JourneyPlaceRefStructure $originRef
     * @return \StructType\Origin
     */
    public function setOriginRef(\StructType\JourneyPlaceRefStructure $originRef = null)
    {
        $this->OriginRef = $originRef;
        return $this;
    }
    /**
     * Get OriginName value
     * @return \StructType\NaturalLanguagePlaceNameStructure|null
     */
    public function getOriginName()
    {
        return $this->OriginName;
    }
    /**
     * Set OriginName value
     * @param \StructType\NaturalLanguagePlaceNameStructure $originName
     * @return \StructType\Origin
     */
    public function setOriginName(\StructType\NaturalLanguagePlaceNameStructure $originName = null)
    {
        $this->OriginName = $originName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Origin
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
